<template>
  <transition name="drop-down" @click="toggleNotifications">
    <div v-show="$store.getters.getNotificationsState" class="notification-block">
      <div class="notification-body">
        <div class="container n-header">
          <div class="row">
            <div class="column">
              <h4>Уведомления</h4> <div @click="toggleNotifications" class="close"></div>
            </div>
          </div>
        </div>
          <!--<div v-for="notification in notificationList">-->
          <div v-show="showReminder">
            <hr>
            <a href="#" class="notification" >
              <span>
                <img src="/lk/static/img/notification/master.png" alt="">
              </span>
              {{reminder}}
            </a>
              {{getData}}
              <!--{{notification.content}}</a>-->
          </div>
      </div>
    </div>
  </transition>
</template>

<script>

  import {TOGGLE_NOTIFICATIONS, CLEAR_NOTIFICATIONS} from '@/store/mutation-types'
  import dayjs from 'dayjs'

  const today = dayjs().format('DD.MM')
  const tomorrow = dayjs().subtract(-1, 'day').format('DD.MM')

  export default {
    name: 'notifications',
    data () {
      return {
        reminder: '',
        showReminder: false
      }
    },
    computed: {
      getData () {
        return '';
        //@TODO ... make this
        if (this.$store.getters.getAuthStatus === 'authorized') {
          const loan = this.$store.getters.getLastLoan
          const blocked = this.$user.blocked // если true - значит заблокирован!
          const bDay = this.$user.bDay !== null ? this.$user.bDay.substring(0, this.$user.bDay.length - 5) : null
          this.showReminder = false

          // 'Просрочки нет - Каждый следующий займ выгоднее! (для всех займов, пока клиент не просрочил)'
          if (loan.status === 6 && loan.number >= 1 && loan.overdue === 0) {
            this.reminder = 'Каждый следующий займ выгоднее!'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
          }
          // 'Просрочка до 10 (включительно) дней - Займ просрочен, но его еще можно продлить. Или вы испортите свою кредитную историю. (Первый займ)'
          if (loan.status === 6 && loan.number === 1 && loan.overdue >= 1) {
            this.reminder = 'Займ просрочен, но его еще можно продлить. Или вы испортите свою кредитную историю'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
          }
          // 'Просрочка от 11 (включительно) до 20 (включительно) дней И осталось больше 24 часов до конца займа - Займ просрочен, но его еще можно продлить. (Первый займ)'
          if (loan.status === 6 && loan.number === 1 && loan.overdue > 10) {
            this.reminder = 'Займ просрочен, но его еще можно продлить.'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
          }
          // 'Просрочка меньше или равна 5 дням И Ставка клиента < максимальной - Займ можно продлить. Или ставка на следующий займ повысится! (Второй и последующий займ)'
          if (loan.status === 6 && loan.number > 1 && loan.overdue >= 1) {
            this.reminder = 'Займ просрочен, но его еще можно продлить. Или ставка на следующий займ повысится!'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
          }
          // 'Просрочка до 10 (включительно) дней - Займ просрочен, но его еще можно продлить. Или вы испортите свою кредитную историю! (Второй и последующий займ)'
          if (loan.status === 6 && loan.number > 1 && loan.overdue > 5) {
            this.reminder = 'Займ просрочен, но его еще можно продлить. Или вы испортите свою кредитную историю!'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
          }
          // 'Просрочка от 11 (включительно) до 20 (включительно) дней - Займ просрочен, но его еще можно продлить. (Второй и последующий займ)'
          if (loan.status === 6 && loan.number > 1 && loan.overdue >= 11) {
            this.reminder = 'Внимание! Займ просрочен, но его еще можно продлить.'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
          }
          // 'Просрочка 21-30 дней - Вы портите свою кредитную историю. Оплатите просроченную задолженность или дело передается в отдел взыскания. (для всех займов)'
          if (loan.status === 6 && loan.number >= 1 && loan.overdue >= 21) {
            this.reminder = 'Вы портите свою кредитную историю. Оплатите просроченную задолженность или дело передается в отдел взыскания.'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
          }
          // 'Просрочка > 31 – Оплатите просроченную задолженность! Дело находится в отделе взыскания. (для всех займов)'
          if (loan.status === 6 && loan.number >= 1 && loan.overdue >= 31) {
            this.reminder = 'Внимание! Оплатите просроченную задолженность! Дело находится в отделе взыскания.'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
          }
          // 'Было больше 1 займа (т.е. 2 и более) И клиент заблокирован – Подача заявки временно заблокирована, за подробной информацией обратитесь в онлайн чат.'
          if (loan.status === 7 && loan.number > 1 && blocked === true) {
            this.reminder = 'Подача заявки временно заблокирована, за подробной информацией обратитесь в онлайн чат.'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
            return
          }
          // 'Сегодня или завтра день рождения И по последнему займу не было просрочки более 10 дней – УРА! Льготная ставка в День Рождения 0.9% !'
          if (loan.status === 7 && loan.number > 1 && loan.overdue < 11 && (bDay === tomorrow || bDay === today)) {
            this.reminder = 'УРА! Льготная ставка в День Рождения всего 0.9%'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
            return
          }
          // 'Возьми займ прямо сейчас и получи его наличными или мгновенно на карту! (займов никогда не было)'
          if (loan.status === 7 && loan.number > 1 && loan.overdue === 0) {
            this.reminder = 'Возьми займ прямо сейчас и получи его наличными или мгновенно на карту!'
            this.showReminder = true
            this.$store.state.interfaceModule.news = true
            return
          }
        }
      }
      // notificationList () {
      //   return this.$store.getters.getNotificationsList
      // }
    },
    methods: {
      toggleNotifications () {
        this.$store.commit(TOGGLE_NOTIFICATIONS)
        this.$store.commit(CLEAR_NOTIFICATIONS)
      }
    }
  }
</script>

<style scoped lang="scss">
  .notification-block {
    z-index: 1;
    position: absolute;
  }
</style>
